Krusader installation instructions

Note

Please read the INSTALL file of the Krusader sources, it contains all latest installation instructions.

Note

From version Krusader-2.5.0 and higher is KDE Frameworks5 only.

krusader_version.tar.gz is the supposed name of the krusader tarball (it will be probably a different one ;)

You can download the latest available Krusader-2.x from Git.

Krusader dependencies

The next packages are needed to run the Krusader binary.

  • c libraries

  • plasma-framework libraries (KDE Frameworks core libraries and binaries for KDE Frameworks5 applications)

  • libqt5dbus5 (Qt™ 5 D-Bus module)

  • libqt5xml5 (Qt™ 5 XML module)

  • libqt5core5 (Qt™ 5 core module)

  • libqt5gui5 (Qt™ 5 GUI module)

  • libqt5printsupport5 (Qt™ 5 print support module)

Suggested packages

These packages are optional but they will make Krusader much more powerful and useful.

The next packages are the names that Debian/Ubuntu uses, other Linux distros will probably use similar names.

  • arj: archiver for .arj files

  • ark: graphical archiving tool by KDE

  • bzip2: high-quality block-sorting file compressor - utilities

  • cpio: GNU cpio -- a program to manage archives of files

  • kdiff3: compares and merges 2 or 3 files or directories

  • OR kompare: a KDE GUI for viewing differences between files

  • OR xxdiff: a graphical file and directories comparison and merge tool

  • kmail: KDE Email client

  • okteta: KDE hex editor

  • konsole: X terminal emulator by KDE

  • krename: Powerful batch renamer by KDE

  • lha: lzh archiver

  • md5deep: versatile file checksum creator and verifier

  • cfv: versatile file checksum creator and verifier

  • p7zip: 7zr file archiver with high compression ratio

  • rpm: Red Hat package manager

  • unace: extract, test and view .ace archives

  • unrar: Unarchiver for .rar files (non-free version)

  • OR unrar-free: Unarchiver for .rar files

  • OR rar: Archiver for .rar files

  • unzip: De-archiver for .zip files

  • zip: Archiver for .zip files

Compilation requirements

The next packages are needed for compiling Krusader, if you only run a Krusader binary you do not need these packages.

  • gcc (The GNU C compiler)

  • g++ (The GNU C++ compiler)

  • cmake (A cross-platform, open-source make system)

  • zlib1g-dev: (library for implementing the deflate compression method found in gzip and PKZIP)

  • gettext (contains msgfmt)

  • plasma-framework-dev (installs many development libraries for KF5)

  • kio-dev

  • libkf5archive-dev

  • libkf5parts-dev

  • libkf5wallet-dev

  • libkf5xmlgui-dev

  • kdoctools-dev